| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bpath.cpp File Reference

A program to analyze paths and cycles in a model. More...

`#include "rwmodel.h"`
`#include "model_path.h"`
`#include "model_select.h"`
`#include "model_links.h"`
`#include "model_util.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

A program to analyze paths and cycles in a model.

Author
  Bernard Heymann

Date
  Created: 20111109
  Modified: 20140325

Definition in file bpath.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 47 of file bpath.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bpath [options] in.star",
"------------------------------",
"Analyzes paths and cycles in a model.",
" ",
"Actions:",
"-all Reset selection to all components before other selections.",
"-cutoff 23.5 Assign links within this cutoff distance.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-componentradius 0.5 Component display radius.",
"-linkradius 0.5 Link display radius.",
" ",
"Input:",
"-parameters param.star Input parameter file.",
" ",
"Output:",
"-output path.star Output model file with components linked along paths.",
" ",
NULL
}

Definition at line 23 of file bpath.cpp.

## ◆ verbose

int verbose